# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^organizationaddress/$',
        views.OrganizationAddressList.as_view(),
        name='organizationaddress_list'
    ),
    url(
        r'^organizationaddress/(?P<pk>\w+)/retrieve/$',
        views.OrganizationAddressRetrieve.as_view(),
        name='organizationaddress_retrieve'
    ),
    url(
        r'^organizationaddress/create/$',
        views.OrganizationAddressCreate.as_view(),
        name='organizationaddress_create'
    ),
    url(
        r'^organizationaddress/(?P<pk>\w+)/update/$',
        views.OrganizationAddressUpdate.as_view(),
        name='organizationaddress_update'
    ),
    url(
        r'^organization/$',
        views.OrganizationList.as_view(),
        name='organization_list'
    ),
    url(
        r'^organization/(?P<pk>\w+)/retrieve/$',
        views.OrganizationRetrieve.as_view(),
        name='organization_retrieve'
    ),
    url(
        r'^organization/create/$',
        views.OrganizationCreate.as_view(),
        name='organization_create'
    ),
    url(
        r'^organization/(?P<pk>\w+)/update/$',
        views.OrganizationUpdate.as_view(),
        name='organization_update'
    ),
    url(
        r'^ownerorganization/$',
        views.OwnerOrganizationList.as_view(),
        name='ownerorganization_list'
    ),
    url(
        r'^ownerorganization/(?P<pk>\w+)/retrieve/$',
        views.OwnerOrganizationRetrieve.as_view(),
        name='ownerorganization_retrieve'
    ),
    url(
        r'^ownerorganization/create/$',
        views.OwnerOrganizationCreate.as_view(),
        name='ownerorganization_create'
    ),
    url(
        r'^ownerorganization/(?P<pk>\w+)/update/$',
        views.OwnerOrganizationUpdate.as_view(),
        name='ownerorganization_update'
    ),
    url(
        r'^customerorganization/$',
        views.CustomerOrganizationList.as_view(),
        name='customerorganization_list'
    ),
    url(
        r'^customerorganization/(?P<pk>\w+)/retrieve/$',
        views.CustomerOrganizationRetrieve.as_view(),
        name='customerorganization_retrieve'
    ),
    url(
        r'^customerorganization/create/$',
        views.CustomerOrganizationCreate.as_view(),
        name='customerorganization_create'
    ),
    url(
        r'^customerorganization/(?P<pk>\w+)/update/$',
        views.CustomerOrganizationUpdate.as_view(),
        name='customerorganization_update'
    ),
    url(
        r'^supplierorganization/$',
        views.SupplierOrganizationList.as_view(),
        name='supplierorganization_list'
    ),
    url(
        r'^supplierorganization/(?P<pk>\w+)/retrieve/$',
        views.SupplierOrganizationRetrieve.as_view(),
        name='supplierorganization_retrieve'
    ),
    url(
        r'^supplierorganization/create/$',
        views.SupplierOrganizationCreate.as_view(),
        name='supplierorganization_create'
    ),
    url(
        r'^supplierorganization/(?P<pk>\w+)/update/$',
        views.SupplierOrganizationUpdate.as_view(),
        name='supplierorganization_update'
    ),
    url(
        r'^vectororganization/$',
        views.VectorOrganizationList.as_view(),
        name='vectororganization_list'
    ),
    url(
        r'^vectororganization/(?P<pk>\w+)/retrieve/$',
        views.VectorOrganizationRetrieve.as_view(),
        name='vectororganization_retrieve'
    ),
    url(
        r'^vectororganization/create/$',
        views.VectorOrganizationCreate.as_view(),
        name='vectororganization_create'
    ),
    url(
        r'^vectororganization/(?P<pk>\w+)/update/$',
        views.VectorOrganizationUpdate.as_view(),
        name='vectororganization_update'
    ),
    url(
        r'^organizationgroup/$',
        views.OrganizationGroupList.as_view(),
        name='organizationgroup_list'
    ),
    url(
        r'^organizationgroup/(?P<pk>\w+)/retrieve/$',
        views.OrganizationGroupRetrieve.as_view(),
        name='organizationgroup_retrieve'
    ),
    url(
        r'^organizationgroup/create/$',
        views.OrganizationGroupCreate.as_view(),
        name='organizationgroup_create'
    ),
    url(
        r'^organizationgroup/(?P<pk>\w+)/update/$',
        views.OrganizationGroupUpdate.as_view(),
        name='organizationgroup_update'
    ),
    url(
        r'^organizationform/$',
        views.OrganizationFormList.as_view(),
        name='organizationform_list'
    ),
    url(
        r'^organizationform/(?P<pk>\w+)/retrieve/$',
        views.OrganizationFormRetrieve.as_view(),
        name='organizationform_retrieve'
    ),
    url(
        r'^organizationform/create/$',
        views.OrganizationFormCreate.as_view(),
        name='organizationform_create'
    ),
    url(
        r'^organizationform/(?P<pk>\w+)/update/$',
        views.OrganizationFormUpdate.as_view(),
        name='organizationform_update'
    ),
    url(
        r'^organizationtype/$',
        views.OrganizationTypeList.as_view(),
        name='organizationtype_list'
    ),
    url(
        r'^organizationtype/(?P<pk>\w+)/retrieve/$',
        views.OrganizationTypeRetrieve.as_view(),
        name='organizationtype_retrieve'
    ),
    url(
        r'^organizationtype/create/$',
        views.OrganizationTypeCreate.as_view(),
        name='organizationtype_create'
    ),
    url(
        r'^organizationtype/(?P<pk>\w+)/update/$',
        views.OrganizationTypeUpdate.as_view(),
        name='organizationtype_update'
    ),
    url(
        r'^field/$',
        views.FieldList.as_view(),
        name='field_list'
    ),
    url(
        r'^field/(?P<pk>\w+)/retrieve/$',
        views.FieldRetrieve.as_view(),
        name='field_retrieve'
    ),
    url(
        r'^field/create/$',
        views.FieldCreate.as_view(),
        name='field_create'
    ),
    url(
        r'^field/(?P<pk>\w+)/update/$',
        views.FieldUpdate.as_view(),
        name='field_update'
    ),
    url(
        r'^contactrole/$',
        views.ContactRoleList.as_view(),
        name='contactrole_list'
    ),
    url(
        r'^contactrole/(?P<pk>\w+)/retrieve/$',
        views.ContactRoleRetrieve.as_view(),
        name='contactrole_retrieve'
    ),
    url(
        r'^contactrole/create/$',
        views.ContactRoleCreate.as_view(),
        name='contactrole_create'
    ),
    url(
        r'^contactrole/(?P<pk>\w+)/update/$',
        views.ContactRoleUpdate.as_view(),
        name='contactrole_update'
    ),
    url(
        r'^contacttitle/$',
        views.ContactTitleList.as_view(),
        name='contacttitle_list'
    ),
    url(
        r'^contacttitle/(?P<pk>\w+)/retrieve/$',
        views.ContactTitleRetrieve.as_view(),
        name='contacttitle_retrieve'
    ),
    url(
        r'^contacttitle/create/$',
        views.ContactTitleCreate.as_view(),
        name='contacttitle_create'
    ),
    url(
        r'^contacttitle/(?P<pk>\w+)/update/$',
        views.ContactTitleUpdate.as_view(),
        name='contacttitle_update'
    ),
    url(
        r'^contact/$',
        views.ContactList.as_view(),
        name='contact_list'
    ),
    url(
        r'^contact/(?P<pk>\w+)/retrieve/$',
        views.ContactRetrieve.as_view(),
        name='contact_retrieve'
    ),
    url(
        r'^contact/create/$',
        views.ContactCreate.as_view(),
        name='contact_create'
    ),
    url(
        r'^contact/(?P<pk>\w+)/update/$',
        views.ContactUpdate.as_view(),
        name='contact_update'
    ),
    url(
        r'^ownercontact/$',
        views.OwnerContactList.as_view(),
        name='ownercontact_list'
    ),
    url(
        r'^ownercontact/(?P<pk>\w+)/retrieve/$',
        views.OwnerContactRetrieve.as_view(),
        name='ownercontact_retrieve'
    ),
    url(
        r'^ownercontact/create/$',
        views.OwnerContactCreate.as_view(),
        name='ownercontact_create'
    ),
    url(
        r'^ownercontact/(?P<pk>\w+)/update/$',
        views.OwnerContactUpdate.as_view(),
        name='ownercontact_update'
    ),
    url(
        r'^customercontact/$',
        views.CustomerContactList.as_view(),
        name='customercontact_list'
    ),
    url(
        r'^customercontact/(?P<pk>\w+)/retrieve/$',
        views.CustomerContactRetrieve.as_view(),
        name='customercontact_retrieve'
    ),
    url(
        r'^customercontact/create/$',
        views.CustomerContactCreate.as_view(),
        name='customercontact_create'
    ),
    url(
        r'^customercontact/(?P<pk>\w+)/update/$',
        views.CustomerContactUpdate.as_view(),
        name='customercontact_update'
    ),
    url(
        r'^suppliercontact/$',
        views.SupplierContactList.as_view(),
        name='suppliercontact_list'
    ),
    url(
        r'^suppliercontact/(?P<pk>\w+)/retrieve/$',
        views.SupplierContactRetrieve.as_view(),
        name='suppliercontact_retrieve'
    ),
    url(
        r'^suppliercontact/create/$',
        views.SupplierContactCreate.as_view(),
        name='suppliercontact_create'
    ),
    url(
        r'^suppliercontact/(?P<pk>\w+)/update/$',
        views.SupplierContactUpdate.as_view(),
        name='suppliercontact_update'
    ),
    url(
        r'^workercontact/$',
        views.WorkerContactList.as_view(),
        name='workercontact_list'
    ),
    url(
        r'^workercontact/(?P<pk>\w+)/retrieve/$',
        views.WorkerContactRetrieve.as_view(),
        name='workercontact_retrieve'
    ),
    url(
        r'^workercontact/create/$',
        views.WorkerContactCreate.as_view(),
        name='workercontact_create'
    ),
    url(
        r'^workercontact/(?P<pk>\w+)/update/$',
        views.WorkerContactUpdate.as_view(),
        name='workercontact_update'
    ),
    url(
        r'^vectorcontact/$',
        views.VectorContactList.as_view(),
        name='vectorcontact_list'
    ),
    url(
        r'^vectorcontact/(?P<pk>\w+)/retrieve/$',
        views.VectorContactRetrieve.as_view(),
        name='vectorcontact_retrieve'
    ),
    url(
        r'^vectorcontact/create/$',
        views.VectorContactCreate.as_view(),
        name='vectorcontact_create'
    ),
    url(
        r'^vectorcontact/(?P<pk>\w+)/update/$',
        views.VectorContactUpdate.as_view(),
        name='vectorcontact_update'
    ),
]
