# -*- coding: utf-8 -*-

import datetime

from django.conf import settings


class DdtMixin(object):
    if 'jmb.ddt' in settings.INSTALLED_APPS:
        def get_ddtrows(self, date_begin=None, date_end=None):
            """
            Returns a list of ddtrows in a certain period
            """
            if not date_begin:
                date_begin = datetime.date.today()
            if not date_end:
                date_end = datetime.date.today()
            ddts = self.ddts.filter(date_d__gte=date_begin, date_d__lte=date_end)
            total_rows = []
            for ddt in ddts:
                rows = ddt.rows.all()
                total_rows.extend(rows)
            return total_rows

        def get_ddtrows_todelivery(self, date_begin=None, date_end=None):
            """
            Returns a list of ddtrows to be delivered in a certain period
            FIXME "to delivery"
            """
            if not date_begin:
                date_begin = datetime.date.today()
            if not date_end:
                date_end = datetime.date.today()
            ddts = self.ddts.filter(date_d__gte=date_begin, date_d__lte=date_end)
            total_rows = []
            for ddt in ddts:
                rows = ddt.rows.all()
                total_rows.extend(rows)
            return total_rows
