# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings
import ckeditor.fields


class Migration(migrations.Migration):

    dependencies = [
        ('l10n', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('payment', '0002_auto_20160503_0943'),
        ('currency', '0001_initial'),
        ('address', '0001_initial'),
        ('office', '0001_initial'),
        ('vat', '0002_auto_20160503_0943'),
        ('carriage', '0001_initial'),
        ('i18n', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('default', models.BooleanField(default=False, verbose_name='Default')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('last_name', models.CharField(max_length=100, null=True, verbose_name='last name', blank=True)),
                ('first_name', models.CharField(max_length=100, null=True, verbose_name='first name', blank=True)),
                ('phone', models.CharField(max_length=20, null=True, verbose_name='phone', blank=True)),
                ('mobile', models.CharField(max_length=20, null=True, verbose_name='mobile', blank=True)),
                ('fax', models.CharField(max_length=20, null=True, verbose_name='fax', blank=True)),
                ('email', models.EmailField(max_length=100, null=True, verbose_name='email', blank=True)),
                ('note', models.TextField(max_length=255, null=True, verbose_name='note', blank=True)),
                ('in_addressbook', models.NullBooleanField(help_text='if this number is in the phone address book.', verbose_name='in addressbook')),
                ('send_procedure_by_email', models.BooleanField(default=False, verbose_name='send procedure by email')),
                ('send_ddt_by_email', models.BooleanField(default=False, verbose_name='send DDT by email')),
                ('send_invoice_by_email', models.BooleanField(default=False, verbose_name='send invoice by email')),
                ('send_quotation_by_email', models.BooleanField(default=False, verbose_name='send quotation by email')),
                ('photo', models.ImageField(upload_to='contact_photo', null=True, verbose_name='photo', blank=True)),
                ('is_worker', models.BooleanField(default=False, verbose_name='is worker')),
            ],
            options={
                'ordering': ['ordering', 'last_name', 'first_name'],
                'verbose_name': 'contact',
                'verbose_name_plural': 'contacts',
            },
        ),
        migrations.CreateModel(
            name='ContactRole',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name', db_index=True)),
                ('creator', models.ForeignKey(related_name='organization_contactrole_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_contactrole_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'contact role',
                'verbose_name_plural': 'contact roles',
            },
        ),
        migrations.CreateModel(
            name='ContactTitle',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name', db_index=True)),
                ('abbreviation', models.CharField(unique=True, max_length=10, verbose_name='abbreviation')),
                ('creator', models.ForeignKey(related_name='organization_contacttitle_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_contacttitle_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'contact title',
                'verbose_name_plural': 'contact titles',
            },
        ),
        migrations.CreateModel(
            name='Field',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name', db_index=True)),
                ('description', models.TextField(null=True, verbose_name='description', blank=True)),
                ('creator', models.ForeignKey(related_name='organization_field_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_field_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'field',
                'verbose_name_plural': 'fields',
            },
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(max_length=100, verbose_name='name', db_index=True)),
                ('brand', models.CharField(db_index=True, max_length=255, null=True, verbose_name='brand', blank=True)),
                ('ssn', models.CharField(max_length=16, null=True, verbose_name='ssn', db_index=True)),
                ('vat_number', models.CharField(max_length=14, null=True, verbose_name='vat number', db_index=True)),
                ('url', models.URLField(max_length=100, null=True, verbose_name='url', blank=True)),
                ('email', models.EmailField(max_length=100, null=True, verbose_name='email', blank=True)),
                ('phone', models.CharField(max_length=20, verbose_name='phone')),
                ('phone2', models.CharField(max_length=20, null=True, verbose_name='phone2', blank=True)),
                ('fax', models.CharField(max_length=20, null=True, verbose_name='fax', blank=True)),
                ('note', ckeditor.fields.RichTextField(null=True, verbose_name='note', blank=True)),
                ('creator', models.ForeignKey(related_name='organization_organization_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('currency', models.ForeignKey(related_name='organizations', verbose_name='currency', blank=True, to='currency.Currency', null=True)),
                ('delivery', models.ForeignKey(related_name='organizations', verbose_name='delivery', blank=True, to='carriage.Delivery', null=True)),
                ('field', models.ForeignKey(related_name='organizations', verbose_name='field', blank=True, to='organization.Field', null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_organization_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('office', models.ForeignKey(related_name='organizations', verbose_name='office', blank=True, to='office.Office', null=True)),
            ],
            options={
                'ordering': ('name',),
                'verbose_name': 'organization',
                'verbose_name_plural': 'organizations',
            },
        ),
        migrations.CreateModel(
            name='OrganizationAddress',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('address_type', models.IntegerField(default=7, choices=[(1, 'Corso'), (2, 'Largo'), (3, 'Localit\xe0'), (4, 'Piazza'), (5, 'Strada/Stretto'), (6, 'Traversa'), (7, 'Via'), (8, 'Viale'), (9, 'Vicolo/Vico'), (10, 'Circonvallazione'), (11, 'Frazione'), (12, 'Rione'), (13, 'Salita'), (14, 'Contrada'), (15, 'Statale'), (16, 'Autostrada'), (17, 'Cascina'), (18, 'Parco'), (19, 'Spalto'), (20, 'Tangenziale'), (21, 'Zona industriale'), (22, 'Borgo'), (23, 'Galleria'), (24, 'Piazzale'), (25, 'Corte'), (26, 'Centro'), (27, 'Foro'), (28, 'Lungo/Lungomare'), (29, 'Calle'), (30, 'Riviera'), (31, 'Villaggio'), (32, 'Passaggio'), (33, 'Borgata'), (34, 'Lungolago')], blank=True, null=True, verbose_name='address type', db_index=True)),
                ('name', models.CharField(max_length=100, verbose_name='name', db_index=True)),
                ('number', models.CharField(max_length=20, verbose_name='number', db_column='anumber', blank=True)),
                ('crossed', models.CharField(max_length=5, verbose_name='crossed', blank=True)),
                ('scale', models.CharField(max_length=5, verbose_name='scale', blank=True)),
                ('floor', models.CharField(max_length=3, verbose_name='floor', blank=True)),
                ('zip_code', models.CharField(db_index=True, max_length=20, verbose_name='zip code', blank=True)),
                ('locality', models.CharField(db_index=True, max_length=100, verbose_name='locality', blank=True)),
                ('province', models.CharField(db_index=True, max_length=3, verbose_name='province', blank=True)),
                ('post_office', models.CharField(max_length=10, verbose_name='post office', blank=True)),
                ('org_name', models.CharField(db_index=True, max_length=100, null=True, verbose_name='organization name', blank=True)),
                ('note', models.TextField(null=True, verbose_name='note', blank=True)),
                ('address_scopes', models.ManyToManyField(to='address.AddressScope', verbose_name='address scopes', db_index=True)),
                ('country', models.ForeignKey(verbose_name='country', to='l10n.Country')),
                ('creator', models.ForeignKey(related_name='organization_organizationaddress_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_organizationaddress_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('organization', models.ForeignKey(related_name='addresses', verbose_name='organization', to='organization.Organization')),
            ],
            options={
                'verbose_name': 'organization address',
                'verbose_name_plural': 'organization addresses',
            },
        ),
        migrations.CreateModel(
            name='OrganizationForm',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name', db_index=True)),
                ('description', models.TextField(null=True, verbose_name='description', blank=True)),
                ('creator', models.ForeignKey(related_name='organization_organizationform_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_organizationform_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'name'),
                'verbose_name': 'organization form',
                'verbose_name_plural': 'organization forms',
            },
        ),
        migrations.CreateModel(
            name='OrganizationGroup',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name', db_index=True)),
                ('description', models.TextField(null=True, verbose_name='description', blank=True)),
                ('creator', models.ForeignKey(related_name='organization_organizationgroup_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_organizationgroup_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'verbose_name': 'organization group',
                'verbose_name_plural': 'organization groups',
            },
        ),
        migrations.CreateModel(
            name='OrganizationType',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=15, serialize=False, verbose_name='code', primary_key=True)),
                ('category', models.CharField(db_index=True, max_length=15, verbose_name='category', choices=[('com', 'owner company'), ('cus', 'customer'), ('sup', 'supplier'), ('vec', 'vector')])),
                ('name', models.CharField(unique=True, max_length=100, verbose_name='name', db_index=True)),
                ('description', models.TextField(null=True, verbose_name='description', blank=True)),
                ('note', models.TextField(null=True, verbose_name='background informations', blank=True)),
                ('creator', models.ForeignKey(related_name='organization_organizationtype_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organization_organizationtype_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'name'),
                'verbose_name': 'organization type',
                'verbose_name_plural': 'organization types',
            },
        ),
        migrations.AddField(
            model_name='organization',
            name='organization_form',
            field=models.ForeignKey(related_name='organizations', verbose_name='organization form', to='organization.OrganizationForm'),
        ),
        migrations.AddField(
            model_name='organization',
            name='organization_groups',
            field=models.ManyToManyField(related_name='organizations', db_index=True, verbose_name='group', to='organization.OrganizationGroup', blank=True),
        ),
        migrations.AddField(
            model_name='organization',
            name='organization_type',
            field=models.ForeignKey(related_name='organizations', verbose_name='organization type', to='organization.OrganizationType'),
        ),
        migrations.AddField(
            model_name='organization',
            name='payment_form',
            field=models.ForeignKey(related_name='organizations', verbose_name='payment form', blank=True, to='payment.PaymentForm', null=True),
        ),
        migrations.AddField(
            model_name='organization',
            name='vat',
            field=models.ForeignKey(related_name='organizations', verbose_name='vat', blank=True, to='vat.Vat', null=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='contact_groups',
            field=models.ManyToManyField(related_name='contacts', db_index=True, verbose_name='group', to='organization.OrganizationGroup', blank=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='creator',
            field=models.ForeignKey(related_name='organization_contact_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='language',
            field=models.ForeignKey(blank=True, to='i18n.Language', help_text='language', null=True, verbose_name='language'),
        ),
        migrations.AddField(
            model_name='contact',
            name='last_modifier',
            field=models.ForeignKey(related_name='organization_contact_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='organization',
            field=models.ForeignKey(related_name='contacts', verbose_name='organization', blank=True, to='organization.Organization', null=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='role',
            field=models.ForeignKey(related_name='contacts', verbose_name='role', blank=True, to='organization.ContactRole', null=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='title',
            field=models.ForeignKey(related_name='contacts', verbose_name='title', blank=True, to='organization.ContactTitle', null=True),
        ),
        migrations.AddField(
            model_name='contact',
            name='user',
            field=models.OneToOneField(related_name='contact', null=True, blank=True, to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.CreateModel(
            name='CustomerContact',
            fields=[
            ],
            options={
                'verbose_name': 'customer contact',
                'proxy': True,
                'verbose_name_plural': 'customer contacts',
            },
            bases=('organization.contact',),
        ),
        migrations.CreateModel(
            name='CustomerOrganization',
            fields=[
            ],
            options={
                'verbose_name': 'customer organization',
                'proxy': True,
                'verbose_name_plural': 'customer organizations',
            },
            bases=('organization.organization',),
        ),
        migrations.CreateModel(
            name='OwnerContact',
            fields=[
            ],
            options={
                'verbose_name': 'owner contact',
                'proxy': True,
                'verbose_name_plural': 'owner contacts',
            },
            bases=('organization.contact',),
        ),
        migrations.CreateModel(
            name='OwnerOrganization',
            fields=[
            ],
            options={
                'verbose_name': 'owner organization',
                'proxy': True,
                'verbose_name_plural': 'owner organizations',
            },
            bases=('organization.organization',),
        ),
        migrations.CreateModel(
            name='SupplierContact',
            fields=[
            ],
            options={
                'verbose_name': 'supplier contact',
                'proxy': True,
                'verbose_name_plural': 'supplier contacts',
            },
            bases=('organization.contact',),
        ),
        migrations.CreateModel(
            name='SupplierOrganization',
            fields=[
            ],
            options={
                'verbose_name': 'supplier organization',
                'proxy': True,
                'verbose_name_plural': 'supplier organizations',
            },
            bases=('organization.organization',),
        ),
        migrations.CreateModel(
            name='VectorContact',
            fields=[
            ],
            options={
                'verbose_name': 'vector contact',
                'proxy': True,
                'verbose_name_plural': 'vector contacts',
            },
            bases=('organization.contact',),
        ),
        migrations.CreateModel(
            name='VectorOrganization',
            fields=[
            ],
            options={
                'verbose_name': 'vector organization',
                'proxy': True,
                'verbose_name_plural': 'vector organizations',
            },
            bases=('organization.organization',),
        ),
        migrations.CreateModel(
            name='WorkerContact',
            fields=[
            ],
            options={
                'verbose_name': 'worker contact',
                'proxy': True,
                'verbose_name_plural': 'worker contacts',
            },
            bases=('organization.contact',),
        ),
        migrations.AddField(
            model_name='organization',
            name='vector',
            field=models.ForeignKey(related_name='organizations', verbose_name='vector', blank=True, to='organization.VectorOrganization', null=True),
        ),
        migrations.AlterUniqueTogether(
            name='organization',
            unique_together=set([('vat_number', 'ssn', 'organization_type')]),
        ),
    ]
