# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import ckeditor.fields
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('organization', '0006_auto_20170208_2054'),
    ]

    operations = [
        migrations.CreateModel(
            name='ContactEmail',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, primary_key=True, auto_created=True)),
                ('date_create', models.DateTimeField(verbose_name='date create', null=True, blank=True)),
                ('date_last_modify', models.DateTimeField(verbose_name='date last modify', null=True, blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('default', models.BooleanField(default=False, verbose_name='Default')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('email', models.EmailField(max_length=255, verbose_name='email')),
                ('contact', models.ForeignKey(to='organization.Contact', verbose_name='contact', related_name='emails')),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_contactemail_creator', verbose_name='creator', null=True, blank=True)),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_contactemail_last_modifier', verbose_name='last modifier', null=True, blank=True)),
            ],
            options={
                'permissions': (('list_contactemail', 'Can list contact email'), ('detail_contactemail', 'Can detail contact email'), ('disable_contactemail', 'Can disable contact email')),
                'verbose_name': 'contact email',
                'verbose_name_plural': 'contact emails',
            },
        ),
        migrations.CreateModel(
            name='ContactPhone',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, primary_key=True, auto_created=True)),
                ('date_create', models.DateTimeField(verbose_name='date create', null=True, blank=True)),
                ('date_last_modify', models.DateTimeField(verbose_name='date last modify', null=True, blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('default', models.BooleanField(default=False, verbose_name='Default')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('phone', models.CharField(max_length=20, verbose_name='phone')),
                ('contact', models.ForeignKey(to='organization.Contact', verbose_name='contact', related_name='phones')),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_contactphone_creator', verbose_name='creator', null=True, blank=True)),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_contactphone_last_modifier', verbose_name='last modifier', null=True, blank=True)),
            ],
            options={
                'permissions': (('list_contactphone', 'Can list contact phone'), ('detail_contactphone', 'Can detail contact phone'), ('disable_contactphone', 'Can disable contact phone')),
                'verbose_name': 'contact phone',
                'verbose_name_plural': 'contact phones',
            },
        ),
        migrations.CreateModel(
            name='EmailTypology',
            fields=[
                ('date_create', models.DateTimeField(verbose_name='date create', null=True, blank=True)),
                ('date_last_modify', models.DateTimeField(verbose_name='date last modify', null=True, blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=255, verbose_name='code', serialize=False, primary_key=True)),
                ('name', models.CharField(unique=True, verbose_name='name', max_length=255)),
                ('slug', models.SlugField(unique=True, verbose_name='slug', max_length=255)),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_emailtypology_creator', verbose_name='creator', null=True, blank=True)),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_emailtypology_last_modifier', verbose_name='last modifier', null=True, blank=True)),
            ],
            options={
                'permissions': (('list_emailtypology', 'Can list email typology'), ('detail_emailtypology', 'Can detail email typology'), ('disable_emailtypology', 'Can disable email typology')),
                'verbose_name': 'email typology',
                'ordering': ('ordering', 'name'),
                'verbose_name_plural': 'email typologies',
            },
        ),
        migrations.CreateModel(
            name='OrganizationEmail',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, primary_key=True, auto_created=True)),
                ('date_create', models.DateTimeField(verbose_name='date create', null=True, blank=True)),
                ('date_last_modify', models.DateTimeField(verbose_name='date last modify', null=True, blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('default', models.BooleanField(default=False, verbose_name='Default')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('email', models.EmailField(max_length=255, verbose_name='email')),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_organizationemail_creator', verbose_name='creator', null=True, blank=True)),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_organizationemail_last_modifier', verbose_name='last modifier', null=True, blank=True)),
            ],
            options={
                'permissions': (('list_organizationemail', 'Can list organization email'), ('detail_organizationemail', 'Can detail organization email'), ('disable_organizationemail', 'Can disable organization email')),
                'verbose_name': 'organization email',
                'verbose_name_plural': 'organization emails',
            },
        ),
        migrations.CreateModel(
            name='PhoneTypology',
            fields=[
                ('date_create', models.DateTimeField(verbose_name='date create', null=True, blank=True)),
                ('date_last_modify', models.DateTimeField(verbose_name='date last modify', null=True, blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=255, verbose_name='code', serialize=False, primary_key=True)),
                ('name', models.CharField(unique=True, verbose_name='name', max_length=255)),
                ('slug', models.SlugField(unique=True, verbose_name='slug', max_length=255)),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_phonetypology_creator', verbose_name='creator', null=True, blank=True)),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_phonetypology_last_modifier', verbose_name='last modifier', null=True, blank=True)),
            ],
            options={
                'permissions': (('list_phonetypology', 'Can list phone typology'), ('detail_phonetypology', 'Can detail phone typology'), ('disable_phonetypology', 'Can disable phone typology')),
                'verbose_name': 'phone typology',
                'ordering': ('ordering', 'name'),
                'verbose_name_plural': 'phone typologies',
            },
        ),
        migrations.AlterField(
            model_name='organization',
            name='note',
            field=ckeditor.fields.RichTextField(verbose_name='note', blank=True),
        ),
        migrations.AlterField(
            model_name='organization',
            name='organization_form',
            field=models.ForeignKey(to='organization.OrganizationForm', related_name='organizations', verbose_name='organization form', null=True, blank=True),
        ),
        migrations.AlterField(
            model_name='organization',
            name='organization_type',
            field=models.ForeignKey(to='organization.OrganizationType', related_name='organizations', verbose_name='organization type', null=True, blank=True),
        ),
        migrations.AlterField(
            model_name='organization',
            name='phone',
            field=models.CharField(max_length=20, verbose_name='phone', null=True, blank=True),
        ),
        migrations.AlterUniqueTogether(
            name='organization',
            unique_together=set([]),
        ),
        migrations.AddField(
            model_name='organizationemail',
            name='organization',
            field=models.ForeignKey(to='organization.Organization', verbose_name='organization', related_name='emails'),
        ),
        migrations.AddField(
            model_name='organizationemail',
            name='typology',
            field=models.ForeignKey(to='organization.EmailTypology', verbose_name='typology', related_name='organization_emails'),
        ),
        migrations.AddField(
            model_name='contactphone',
            name='typology',
            field=models.ForeignKey(to='organization.PhoneTypology', verbose_name='typology', related_name='contact_phones'),
        ),
        migrations.AddField(
            model_name='contactemail',
            name='typology',
            field=models.ForeignKey(to='organization.EmailTypology', verbose_name='typology', related_name='contact_emails'),
        ),
        migrations.CreateModel(
            name='CustomerContactEmail',
            fields=[
            ],
            options={
                'permissions': (('list_customercontactemail', 'Can list customer contact email'), ('detail_customercontactemail', 'Can detail customer contact email'), ('disable_customercontactemail', 'Can disable customer contact email')),
                'proxy': True,
                'verbose_name': 'customer contact',
                'verbose_name_plural': 'customer contacts',
            },
            bases=('organization.contactemail',),
        ),
        migrations.CreateModel(
            name='CustomerContactPhone',
            fields=[
            ],
            options={
                'permissions': (('list_customercontactphone', 'Can list customer contact phone'), ('detail_customercontactphone', 'Can detail customer contact phone'), ('disable_customercontactphone', 'Can disable customer contact phone')),
                'proxy': True,
                'verbose_name': 'customer contact',
                'verbose_name_plural': 'customer contacts',
            },
            bases=('organization.contactphone',),
        ),
        migrations.CreateModel(
            name='CustomerOrganizationEmail',
            fields=[
            ],
            options={
                'permissions': (('list_customerorganizationemail', 'Can list customer organization email'), ('detail_customerorganizationemail', 'Can detail customer organization email'), ('disable_customerorganizationemail', 'Can disable customer organization email')),
                'proxy': True,
                'verbose_name': 'customer organization',
                'verbose_name_plural': 'customer organizations',
            },
            bases=('organization.organizationemail',),
        ),
        migrations.CreateModel(
            name='OwnerContactEmail',
            fields=[
            ],
            options={
                'permissions': (('list_ownercontactemail', 'Can list owner contact email'), ('detail_ownercontactemail', 'Can detail owner contact email'), ('disable_ownercontactemail', 'Can disable owner contact email')),
                'proxy': True,
                'verbose_name': 'owner contact',
                'verbose_name_plural': 'owner contacts',
            },
            bases=('organization.contactemail',),
        ),
        migrations.CreateModel(
            name='OwnerContactPhone',
            fields=[
            ],
            options={
                'permissions': (('list_ownercontactphone', 'Can list owner contact phone'), ('detail_ownercontactphone', 'Can detail owner contact phone'), ('disable_ownercontactphone', 'Can disable owner contact phone')),
                'proxy': True,
                'verbose_name': 'owner contact',
                'verbose_name_plural': 'owner contacts',
            },
            bases=('organization.contactphone',),
        ),
        migrations.CreateModel(
            name='OwnerOrganizationEmail',
            fields=[
            ],
            options={
                'permissions': (('list_ownerorganizationemail', 'Can list owner organization email'), ('detail_ownerorganizationemail', 'Can detail owner organization email'), ('disable_ownerorganizationemail', 'Can disable owner organization email')),
                'proxy': True,
                'verbose_name': 'owner organization',
                'verbose_name_plural': 'owner organizations',
            },
            bases=('organization.organizationemail',),
        ),
        migrations.CreateModel(
            name='SupplierContactEmail',
            fields=[
            ],
            options={
                'permissions': (('list_suppliercontactemail', 'Can list supplier contact email'), ('detail_suppliercontactemail', 'Can detail supplier contact email'), ('disable_suppliercontactemail', 'Can disable supplier contact email')),
                'proxy': True,
                'verbose_name': 'supplier contact',
                'verbose_name_plural': 'supplier contacts',
            },
            bases=('organization.contactemail',),
        ),
        migrations.CreateModel(
            name='SupplierContactPhone',
            fields=[
            ],
            options={
                'permissions': (('list_suppliercontactphone', 'Can list supplier contact phone'), ('detail_suppliercontactphone', 'Can detail supplier contact phone'), ('disable_suppliercontactphone', 'Can disable supplier contact phone')),
                'proxy': True,
                'verbose_name': 'supplier contact',
                'verbose_name_plural': 'supplier contacts',
            },
            bases=('organization.contactphone',),
        ),
        migrations.CreateModel(
            name='SupplierOrganizationEmail',
            fields=[
            ],
            options={
                'permissions': (('list_supplierorganizationemail', 'Can list supplier organization email'), ('detail_supplierorganizationemail', 'Can detail supplier organization email'), ('disable_supplierorganizationemail', 'Can disable supplier organization email')),
                'proxy': True,
                'verbose_name': 'supplier organization',
                'verbose_name_plural': 'supplier organizations',
            },
            bases=('organization.organizationemail',),
        ),
        migrations.CreateModel(
            name='VectorContactEmail',
            fields=[
            ],
            options={
                'permissions': (('list_vectorcontactemail', 'Can list vector contact email'), ('detail_vectorcontactemail', 'Can detail vector contact email'), ('disable_vectorcontactemail', 'Can disable vector contact email')),
                'proxy': True,
                'verbose_name': 'vector contact',
                'verbose_name_plural': 'vector contacts',
            },
            bases=('organization.contactemail',),
        ),
        migrations.CreateModel(
            name='VectorContactPhone',
            fields=[
            ],
            options={
                'permissions': (('list_vectorcontactphone', 'Can list vector contact phone'), ('detail_vectorcontactphone', 'Can detail vector contact phone'), ('disable_vectorcontactphone', 'Can disable vector contact phone')),
                'proxy': True,
                'verbose_name': 'vector contact',
                'verbose_name_plural': 'vector contacts',
            },
            bases=('organization.contactphone',),
        ),
        migrations.CreateModel(
            name='VectorOrganizationEmail',
            fields=[
            ],
            options={
                'permissions': (('list_vectororganizationemail', 'Can list vector organization email'), ('detail_vectororganizationemail', 'Can detail vector organization email'), ('disable_vectororganizationemail', 'Can disable vector organization email')),
                'proxy': True,
                'verbose_name': 'vector organization',
                'verbose_name_plural': 'vector organizations',
            },
            bases=('organization.organizationemail',),
        ),
        migrations.CreateModel(
            name='WorkerContactEmail',
            fields=[
            ],
            options={
                'permissions': (('list_workercontactemail', 'Can list worker contact email'), ('detail_workercontactemail', 'Can detail worker contact email'), ('disable_workercontactemail', 'Can disable worker contact email')),
                'proxy': True,
                'verbose_name': 'worker contact',
                'verbose_name_plural': 'worker contacts',
            },
            bases=('organization.contactemail',),
        ),
        migrations.CreateModel(
            name='WorkerContactPhone',
            fields=[
            ],
            options={
                'permissions': (('list_workercontactphone', 'Can list worker contact phone'), ('detail_workercontactphone', 'Can detail worker contact phone'), ('disable_workercontactphone', 'Can disable worker contact phone')),
                'proxy': True,
                'verbose_name': 'worker contact',
                'verbose_name_plural': 'worker contacts',
            },
            bases=('organization.contactphone',),
        ),
        migrations.AlterUniqueTogether(
            name='organizationemail',
            unique_together=set([('organization', 'email')]),
        ),
        migrations.AlterUniqueTogether(
            name='contactphone',
            unique_together=set([('contact', 'phone')]),
        ),
        migrations.AlterUniqueTogether(
            name='contactemail',
            unique_together=set([('contact', 'email')]),
        ),
    ]
