# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('organization', '0007_auto_20170222_2246'),
    ]

    operations = [
        migrations.CreateModel(
            name='OrganizationSocialPage',
            fields=[
                ('id', models.AutoField(primary_key=True, auto_created=True, verbose_name='ID', serialize=False)),
                ('date_create', models.DateTimeField(verbose_name='date create', blank=True, null=True)),
                ('date_last_modify', models.DateTimeField(verbose_name='date last modify', blank=True, null=True)),
                ('status', models.IntegerField(default=1, choices=[(0, 'Inactive'), (1, 'Active')], verbose_name='Status', null=True)),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('social', models.CharField(db_index=True, choices=[('facebook', 'Facebook'), ('linkedin', 'LinkedIn'), ('google+', 'Google+')], verbose_name='social', max_length=255)),
                ('link', models.URLField(verbose_name='page link')),
                ('creator', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_organizationsocialpage_creator', verbose_name='creator', blank=True, null=True)),
                ('last_modifier', models.ForeignKey(to=settings.AUTH_USER_MODEL, related_name='organization_organizationsocialpage_last_modifier', verbose_name='last modifier', blank=True, null=True)),
                ('organization', models.ForeignKey(to='organization.Organization', related_name='social_pages', verbose_name='organization')),
            ],
            options={
                'verbose_name_plural': 'organization social pages',
                'verbose_name': 'organization social page',
                'permissions': (('list_organizationsocialpage', 'Can list organization social page'), ('detail_organizationsocialpage', 'Can detail organization social page'), ('disable_organizationsocialpage', 'Can disable organization social page')),
            },
        ),
        migrations.AlterModelOptions(
            name='customerorganizationemail',
            options={'verbose_name_plural': 'customer organization emails', 'verbose_name': 'customer organization email', 'permissions': (('list_customerorganizationemail', 'Can list customer organization email'), ('detail_customerorganizationemail', 'Can detail customer organization email'), ('disable_customerorganizationemail', 'Can disable customer organization email'))},
        ),
        migrations.AlterModelOptions(
            name='ownerorganizationemail',
            options={'verbose_name_plural': 'owner organization emails', 'verbose_name': 'owner organization email', 'permissions': (('list_ownerorganizationemail', 'Can list owner organization email'), ('detail_ownerorganizationemail', 'Can detail owner organization email'), ('disable_ownerorganizationemail', 'Can disable owner organization email'))},
        ),
        migrations.AlterModelOptions(
            name='supplierorganizationemail',
            options={'verbose_name_plural': 'supplier organizations email', 'verbose_name': 'supplier organization email', 'permissions': (('list_supplierorganizationemail', 'Can list supplier organization email'), ('detail_supplierorganizationemail', 'Can detail supplier organization email'), ('disable_supplierorganizationemail', 'Can disable supplier organization email'))},
        ),
        migrations.AlterModelOptions(
            name='vectororganizationemail',
            options={'verbose_name_plural': 'vector organization emails', 'verbose_name': 'vector organization email', 'permissions': (('list_vectororganizationemail', 'Can list vector organization email'), ('detail_vectororganizationemail', 'Can detail vector organization email'), ('disable_vectororganizationemail', 'Can disable vector organization email'))},
        ),
        migrations.CreateModel(
            name='CustomerOrganizationSocialPage',
            fields=[
            ],
            options={
                'verbose_name_plural': 'customer organization social pages',
                'proxy': True,
                'verbose_name': 'customer organization social page',
                'permissions': (('list_customerorganizationsocialpage', 'Can list customer organization social page'), ('detail_customerorganizationsocialpage', 'Can detail customer organization social page'), ('disable_customerorganizationsocialpage', 'Can disable customer organization social page')),
            },
            bases=('organization.organizationsocialpage',),
        ),
        migrations.CreateModel(
            name='OwnerOrganizationSocialPage',
            fields=[
            ],
            options={
                'verbose_name_plural': 'owner organization social pages',
                'proxy': True,
                'verbose_name': 'owner organization social page',
                'permissions': (('list_ownerorganizationsocialpage', 'Can list owner organization social page'), ('detail_ownerorganizationsocialpage', 'Can detail owner organization social page'), ('disable_ownerorganizationsocialpage', 'Can disable owner organization social page')),
            },
            bases=('organization.organizationsocialpage',),
        ),
        migrations.CreateModel(
            name='SupplierOrganizationSocialPage',
            fields=[
            ],
            options={
                'verbose_name_plural': 'supplier organization social pages',
                'proxy': True,
                'verbose_name': 'supplier organization social page',
                'permissions': (('list_supplierorganizationsocialpage', 'Can list supplier organization social page'), ('detail_supplierorganizationsocialpage', 'Can detail supplier organization social page'), ('disable_supplierorganizationsocialpage', 'Can disable supplier organization social page')),
            },
            bases=('organization.organizationsocialpage',),
        ),
        migrations.CreateModel(
            name='VectorOrganizationSocialPage',
            fields=[
            ],
            options={
                'verbose_name_plural': 'vector organization social pages',
                'proxy': True,
                'verbose_name': 'vector organization social page',
                'permissions': (('list_vectororganizationsocialpage', 'Can list vector organization social page'), ('detail_vectororganizationsocialpage', 'Can detail vector organization social page'), ('disable_vectororganizationsocialpage', 'Can disable vector organization social page')),
            },
            bases=('organization.organizationsocialpage',),
        ),
        migrations.AlterUniqueTogether(
            name='organizationsocialpage',
            unique_together=set([('organization', 'social')]),
        ),
    ]
